import { View, Image } from "@tarojs/components"
import picon from '@/assets/comm/position.png'
import './style.less'

export default (props) => {
  const { value,visible, goDetail, goList } = props
  return (
    <View className='showModel' style={{visibility:visible?'inherit':'hidden'}}>
      <View className='goList' onClick={goList}>{'<'}{'<'} 农机列表</View>
      <View className='title'>
        <View className='name'>{value?.name}</View>
        <View className='action' onClick={() => goDetail(value?.machineryId)}>详情 {">"}{">"}</View>
      </View>
      <View className='position'>
        <Image src={picon} className='picon' />
        当前位置：&nbsp;&nbsp;邓州市陈楼
      </View>
    </View>
  )
}