import { useState } from "react"
import { signIn } from '@/services/login'

export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()

  const login = (params) => {
    signIn(params).then((res) => {
      const { person: taPerson,  sessionKey: skey } = res;
      // taPerson.phone=null
      setPerson(taPerson);
      setSessionKey(skey);
    })
  }

  return {
    person,
    sessionKey,
    setPerson,
    login,
  }
}
